#
# spec file for package zdoom
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           zdoom
Version:        2.8.1
Release:        2.63
Summary:        Highly Advanced Doom source port
License: GPL-2.0
Group:          Amusements/Games/3D/Shoot
Url:            http://zdoom.org/
Source0:        https://github.com/rheit/zdoom/archive/%{version}.tar.gz
Source1:        zdoom.sh
Source2:        zdoom.desktop
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
BuildRequires:  libSDL2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  nasm
BuildRequires:  libbz2-devel
BuildRequires:  gtk2-devel
BuildRequires:  cmake
BuildRequires:  fluidsynth-devel
BuildRequires:  libgme-devel
BuildRequires:  openal-soft-devel
BuildRequires:  timidity
BuildRequires:  glibc-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  ImageMagick
Recommends:     freedoom
Recommends:     timidity
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
ZDoom is one of the most advanced and popular Doom ports, supporting Boom
editing extensions, plus all the extensions made by the HeXen engine, as well as
adding a multitude of new features not found in the original Doom. In addition,
it supports Heretic, Hexen, and Strife.

%prep
%setup -q
sed -i s,"<unknown version>","%{version}",g tools/updaterevision/updaterevision.c
sed -i s,"__DATE__","\"build.opensuse.org\"",g src/posix/sdl/i_main.cpp

%build
mkdir build
pushd build
# the cmake macro contains parameters which will break the linker
cmake -DGME_INCLUDE_DIR=%{_includedir}/gme -DFORCE_INTERNAL_GME=OFF \
      -DNO_FMOD=1 \
      -DCMAKE_BUILD_TYPE=Release ..
make %{?_smp_mflags}
popd

%install
mkdir -p %{buildroot}%{_libexecdir}/zdoom
install -m644 build/zdoom.pk3 %{buildroot}%{_libexecdir}/zdoom/zdoom.pk3
install -m755 build/zdoom %{buildroot}%{_libexecdir}/zdoom/zdoom

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
convert src/win32/icon1.ico zdoom.png
install -m644 zdoom-2.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/zdoom.png

mkdir -p %{buildroot}%{_bindir}
install -m755 %{S:1} %{buildroot}%{_bindir}/zdoom

mkdir -p %{buildroot}%{_datadir}/applications
install -m644 %{S:2} %{buildroot}%{_datadir}/applications/zdoom.desktop

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%{_bindir}/zdoom
%{_libexecdir}/zdoom
%{_datadir}/icons/hicolor/48x48/apps/zdoom.png
%{_datadir}/applications/*.desktop

%changelog
* Sat Jul  2 2016 mailaender@opensuse.org
- initial packaging of version 2.8.1
